var mediaPlatform = {};

mediaPlatform.getMPHeight = function() {
    var height = document.getElementById('js_article').scrollHeight;
    return height;
};

mediaPlatform.getMPInfo = function() {
    var title;
    if (msg_title) {
        title = msg_title;
    }
    else {
        title = document.getElementsByTagName('h1')[0].innerHTML.toString();
    }
    var thumbUrl;
    if (msg_cdn_url) {
        thumbUrl = msg_cdn_url;
    }
    else {
        thumbUrl = document.getElementsByTagName('img')[0].src.toString();
    }
    var account;
    if (nickname) {
        account = nickname;
    }
    if (!title) {title = "";}
    if (!thumbUrl) {thumbUrl= "";}
    if (!account) {account = "";}

    var info = {
        "title": title,
        "thumbUrl": thumbUrl,
        "account": account,
    }
    return info;
};

mediaPlatform.getMPInfoStr = function() {
    return JSON.stringify(mediaPlatform.getMPInfo());
};

// 鍥剧墖婊″
mediaPlatform.formatImage = function() {
    var imgs = document.getElementsByTagName('img');
    for (var i = 0; i < imgs.length; i++) {
        // 濡傛灉鍥剧墖灏戜簬128鍒欎笉澶勭悊
        if (imgs[i].width < 128) { continue; }

        var wrap = document.createElement('div');
        var parentNode = imgs[i].parentNode;
        var nextNode = imgs[i].nextSibling;

        // tq锛氬井淇′細杩囨护鎺夋坊鍔犵殑class锛屽洜姝や笉鑳界敤class璧嬪€�
        wrap.setAttribute("style", "margin: 18px -20px 18px -20px!important; max-width: none!important");
        imgs[i].setAttribute("style", "display: block; max-width: 100%; margin: 0 auto; background-color: #f4f5f7;");
        wrap.appendChild(imgs[i]);
        parentNode.insertBefore(wrap, nextNode);
    }
};

// 杩欓噷鐨勫仛娉曟槸涓轰簡闈炵嫭绔嬪浘鐗囷紙涓婁笅鏈夊唴瀹癸級鍙互淇濇寔璺熷唴瀹�12px鐨勮窛绂�
mediaPlatform.handleImageBlank = function() {
    var imgs = document.getElementsByTagName('img');
    for (var i = 0; i < imgs.length; i++) {
        var nextNode = imgs[i].nextSibling;
        var preNode = imgs[i].previousSibling;

        if (nextNode && nextNode.nodeName.toLowerCase() == 'br') {
            // 澶勭悊鍥剧墖涓嬮潰鏈変釜br锛屼絾鏄痓r涓嶈兘鑷畾涔夐珮搴︼紝鎵€浠ョ洿鎺ュ幓鎺夐噸鏂板姞margin
            nextNode.style.display = "none";
            imgs[i].style.marginBottom = '3px';
        } else if (nextNode && nextNode.nodeType == 3) {
            // 澶勭悊鍥剧墖璺熶笅闈㈡枃瀛楀湪鍚屼竴涓猵閲岄潰锛屼絾鏄病鏈塨r闅斿紑
            imgs[i].style.marginBottom = '3px';
        }

        if (preNode && preNode.nodeName.toLowerCase() == 'br') {
            // 澶勭悊鍥剧墖涓婇潰鏈変釜br锛屼絾鏄痓r涓嶈兘鑷畾涔夐珮搴︼紝鎵€浠ョ洿鎺ュ幓鎺夐噸鏂板姞margin
            nextNode.style.display = "none";
            imgs[i].style.marginTop = '12px';
        } else if (preNode && preNode.nodeType == 3) {
            // 澶勭悊鍥剧墖璺熶笂闈㈡枃瀛楀湪鍚屼竴涓猵閲岄潰锛屼絾鏄病鏈塨r闅斿紑
            imgs[i].style.marginTop = '12px';
        }
    }
};

// 鏇挎崲鎵€鏈塧鏍囩
mediaPlatform.disableLink = function() {
   var links = document.querySelectorAll('.rich_media_content a,a.access_area');
   console.log(links);
   console.log(links.length);
   for (var i = 0; i < links.length; i++) {
       var parentNode = links[i].parentNode;

       var wrap = document.createElement('span');
       var nextNode = links[i].nextSibling;

       // 澶嶅埗鎵€鏈夊睘鎬�
       var attrbutes = links[i].attributes;
       for (var j = 0; j < attrbutes.length; j++) {
           wrap.setAttribute(attrbutes[j].name, attrbutes[j].value);
       }

       wrap.innerHTML = links[i].innerHTML;
       wrap.style.textDecoration = "none";

       parentNode.insertBefore(wrap, nextNode);
       parentNode.removeChild(links[i]);
   }
};

// 骞叉帀p>br鐨勬儏鍐电殑margin-top
mediaPlatform.updateBlankHeight = function() {
    var blanks = document.getElementsByTagName('br');
    for (var i = blanks.length - 1; i >= 0; i--) {
        var parentNode = blanks[i].parentNode;
        if (parentNode.nodeName.toLowerCase() == "p" && parentNode.childNodes.length == 1) {
            parentNode.style.height = '20px';
            parentNode.style.minHeight = '0em';
        }
    }
};

// 瑙傚療鍒伴儴鍒嗗叕浼楀彿鏂囩珷棣栬瘎鐨勬噿鍔犺浇鍥剧墖鏃犳硶姝ｅ父鏄剧ず锛岃繖鏄敱浜� scroll 浜嬩欢娌℃湁瑙﹀彂瀵艰嚧鐨勶紙鎬€鐤戞槸鍦� rangy-classapplier 寮曞叆鍚庝骇鐢熶簡娣峰悎鍙嶅簲锛屼絾鍦� Android 涓婄‘鏄ソ鐨勶級銆傝繖閲岀殑瑙ｅ喅鍔炴硶鏄墜鍔ㄨЕ鍙戜竴娆� scroll 浜嬩欢锛屼絾鐢变簬鎴戜滑鐨� webview 鍏跺疄鏄畬鏁撮珮搴︾殑锛屾湰韬苟涓嶈兘婊氬姩锛屾墍浠ヨ繖鏍峰仛涔熶笉浼氫骇鐢熸姈鍔ㄦ垨鑰呭叾浠栧壇浣滅敤銆�
mediaPlatform.protectLazyLoad = function() {
    window.scrollTo(0, 1);
};

mediaPlatform.init = function() {
    // mediaPlatform.formatImage();
    // mediaPlatform.disableLink();
    mediaPlatform.updateBlankHeight();
    mediaPlatform.handleImageBlank();
    mediaPlatform.protectLazyLoad();
};

mediaPlatform.init();

// 鐢ㄤ簬鍦ㄩ€€鍑哄叕浼楀彿鏂囩珷鐨勬椂鍊欐殏鍋滆棰戞挱鏀�
// 鐢变簬鑵捐瑙嗛鏄€氳繃 iFrame 鍐呭祵鐨勶紝娌℃湁鍔炴硶鐩存帴鎿嶄綔锛屾垜浠敤鍒锋柊 iFrame 鐨勬柟寮忓疄鐜板仠姝㈡挱鏀剧殑鏁堟灉
function pauseMedia() {
    pauseCurrentAudio();
    pauseCurrentVideo();
}

function pauseCurrentAudio() {
    var audios = document.querySelectorAll('audio');
    for (var i = 0; i < audios.length; i++) {
        var audio = audios[i];
        audio.pause();
    }
}

function pauseCurrentVideo() {
    var iframes = document.querySelectorAll('iframe');
    for (var i = 0; i < iframes.length; i++) {
        var oldFrame = iframes[i];
        oldFrame.src = oldFrame.src;
    }
}