function reportMP (vid, skey, url) {
    var apiURL = "https://i.weread.qq.com/reportmp";
    var reportType = -1;
    var reportURL = window.location.href;

    if (url && url.length > 0) {
        reportURL = url;
    }

    if (document.documentElement.innerHTML.indexOf('此内容因违规无法查看') > 0 &&
        document.documentElement.innerHTML.indexOf('<i class="icon_msg warn"></i>') > 0 &&
        document.documentElement.innerHTML.indexOf('微信公众平台运营中心') > 0) {
        // 违规
        reportType = 0;
    } else if (document.documentElement.innerHTML.indexOf('<i class="icon_msg warn_gray"></i>') > 0 &&
        document.documentElement.innerHTML.indexOf('该内容已被发布者删除') > 0 &&
        document.documentElement.innerHTML.indexOf('微信公众平台运营中心') > 0) {
        // 删除
        reportType = 1;
    } else if (document.documentElement.innerHTML.indexOf('<i class="weui-icon-warn weui-icon_msg-primary"></i>') > 0 &&
        document.documentElement.innerHTML.indexOf('该公众号已迁移') > 0 &&
        document.documentElement.innerHTML.indexOf('公众号迁移说明') > 0) {
        // 迁移
        reportType = 2;
    }

    if (reportType > -1) {
        var xhr = new XMLHttpRequest();
        xhr.open("POST", apiURL + '?vid=' + vid + '&skey=' + skey, true);
        xhr.onreadystatechange = function () {
            if(xhr.readyState === XMLHttpRequest.DONE && xhr.status === 200) {
                console.log("上报成功", xhr.responseText);
            }
        };
        var formData = new FormData();
        formData.append('reportType', reportType);
        formData.append('url', reportURL);
        xhr.send(formData);
    }
}